Calls
Get a call's tool executions
Every tool the assistant ran during a call — what it was asked and what came back — in the order it ran.
GET
/
v2
/
call
/
{id}
/
tool-executions
Get a call's tool executions
curl --request GET \
--url https://api.verbeo.ai/v2/call/{id}/tool-executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.verbeo.ai/v2/call/{id}/tool-executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.verbeo.ai/v2/call/{id}/tool-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.verbeo.ai/v2/call/{id}/tool-executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.verbeo.ai/v2/call/{id}/tool-executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.verbeo.ai/v2/call/{id}/tool-executions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.verbeo.ai/v2/call/{id}/tool-executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodycurl "https://api.verbeo.ai/v2/call/b7a3c1e4-94f2-4c9d-a8e0-5d9f6c2a1b34/tool-executions" \
-H "Authorization: Bearer YOUR_API_KEY"
200 OK, oldest first. An empty list when the call ran no tools.
{
"success": true,
"data": [
{
"id": "1f0c…",
"call_log_id": "b7a3c1e4-94f2-4c9d-a8e0-5d9f6c2a1b34",
"tool_name": "check_order",
"tool_type": "api",
"description": "Look up an order",
"args": { "order_id": "ORD-98765" },
"result": { "status": "shipped" },
"status": "success",
"status_code": 200,
"error": null,
"executed_at": "2026-10-01T10:30:41.000+00:00"
}
]
}
Was this page helpful?
⌘I
Get a call's tool executions
curl --request GET \
--url https://api.verbeo.ai/v2/call/{id}/tool-executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.verbeo.ai/v2/call/{id}/tool-executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.verbeo.ai/v2/call/{id}/tool-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.verbeo.ai/v2/call/{id}/tool-executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.verbeo.ai/v2/call/{id}/tool-executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.verbeo.ai/v2/call/{id}/tool-executions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.verbeo.ai/v2/call/{id}/tool-executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body